Subject: Re: linux-next: manual merge of the wireless-next tree with the wireless tree

From: Kalle Valo <[email-masked]>
Date: Mon, 03 Jun 2024 13:01:48 +0300

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> Today's linux-next merge of the wireless-next tree got a conflict in:
>
>   drivers/net/wireless/microchip/wilc1000/netdev.c
>
> between commit:
>
>   ebfb5e8fc8b4 ("Revert "wifi: wilc1000: convert list management to RCU"")
>
> from the wireless tree and commit:
>
>   6fe46d5c0a84 ("wifi: wilc1000: set net device registration as last
> step during interface creation")
>
> from the wireless-next tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks. We need to figure out how we solve this conflict, most probably
we'll ask network maintainers to fix it when they pull wireless-next.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches